<?php

namespace frontend\controllers;

use common\libs\MyLib;
use common\models\CompanyPayTypeT;
use common\models\UserT;
use Yii;
use yii\web\Response;

class CompanyPayTypeController extends \yii\web\Controller
{
    public $my = null;

    public function init()
    {
        parent::init();

        $cookie = Yii::$app->request->cookies;
        $user_id = MyLib::encrypt($cookie->get('aid'),'DECODE');

        if($user_id != 0)
        {
            $this->my = UserT::findOne(['id'=>$user_id]);
        } else {
            Yii::$app->response->redirect('/common/login')->send();
            exit;
        }
    }

    public function actionIndex()
    {
        return $this->renderPartial('index');
    }

    public function actionJsonData()
    {
        Yii::$app->response->format = Response::FORMAT_JSON;
        $request = Yii::$app->request;
        $result = array();
        $page = $request->get('page',1);
        $limit = $request->get('rows',20);

        $start = ($page-1)*$limit;

        $query = CompanyPayTypeT::find();
        $total = $query->count();
        $query = $query->offset($start)->limit($limit);
        $items = $query->all();
        $data = array();
        foreach($items as $item) {
            $row = array();
            $row['id'] = $item->id;
            $row['name'] = $item->name;
            $row['created_at'] = $item->created_at;
            $data[] = $row;
        }
        $result['total'] = $total;
        $result['rows'] = $data;
        return $result;
    }

    public function actionEdit()
    {
        $request = Yii::$app->request;
        $id = $request->get('id',0);
        if($id > 0) {
            $info = CompanyPayTypeT::findOne(['id'=>$id]);
        } else {
            $info = new CompanyPayTypeT();
        }

        return $this->renderPartial('edit',[
            'info' => $info
        ]);
    }

    public function actionSave()
    {
        Yii::$app->response->format = Response::FORMAT_JSON;
        $request = Yii::$app->request;
        $result = array();
        $result['success'] = false;
        $result['msg'] = '保存失败';

        if($request->isPost) {
            $id = $request->post('id',0);
            $name = $request->post('name');

            if($name == '') {
                $result['msg'] = '请输入名称!';
                return $result;
            }

            $row = null;
            if($id > 0) {
                $row = CompanyPayTypeT::findOne(['id'=>$id]);
            } else {
                $row = new CompanyPayTypeT();
            }
            $row->name = $name;
            $row->save();

            $result['success'] = true;
            $result['msg'] = '保存成功';
        }
        return $result;
    }

    public function actionDelete()
    {
        Yii::$app->response->format = Response::FORMAT_JSON;
        $request = Yii::$app->request;
        $result = array();
        $result['success'] = false;
        $result['msg'] = '删除失败';

        if($request->isPost) {
            $id = $request->post('id',0);

            if($id > 0) {
                $row = CompanyPayTypeT::findOne(['id'=>$id]);
                $row->delete();

                $result['success'] = true;
                $result['msg'] = '删除成功';
            }
        }
        return $result;
    }
}
